
;*********************************************************************
; initiate one Voice Group
;*********************************************************************

	instr	501

iVoiceGroup	= p4					; Voice Group Number
iMixInstr	= 8001  + (abs(iVoiceGroup)*0.001)	; different instance of mix instr for each voice group

; Voice Group Turnoff, if p4 is negative, the Voice Group will be deactivated
i_MixInstr_VGr 	= (p4 > 0 ? iMixInstr : - iMixInstr)

if iVoiceGroup < 0 goto skipChn

; declare chn channels for the voice group
#include "VoiceGroup_chn_init.inc"

skipChn:

; do once, start Channel Mixer for Voice Group
	ktrig		init 1
	if ktrig == 0 goto skipevent
	event		"i", i_MixInstr_VGr, 0, -1, iVoiceGroup
	ktrig		= 0
	skipevent:

	endin

;*********************************************************************

